Zydis v4.1.1

Loading...
Searching...
No Matches
ZydisInstructionSegments_ Struct Reference
Segment

Defines the ZydisInstructionSegments struct. More...

`#include <Segment.h>`

## Data Fields
ZyanU8 | count
| The number of logical instruction segments.
struct { |
ZydisInstructionSegment type |
| The type of the segment. More...
ZyanU8 offset |
| The offset of the segment relative to the start of the instruction (in bytes). More...
ZyanU8 size |
| The size of the segment, in bytes. More...
} | segments [ZYDIS_MAX_INSTRUCTION_SEGMENT_COUNT]

## Detailed Description

Defines the ZydisInstructionSegments struct.

## Field Documentation

## ◆ count

ZyanU8 count

The number of logical instruction segments.

## ◆ offset

ZyanU8 offset

The offset of the segment relative to the start of the instruction (in bytes).

## ◆ [struct]

struct { ... } segments[ZYDIS_MAX_INSTRUCTION_SEGMENT_COUNT]

## ◆ size

ZyanU8 size

The size of the segment, in bytes.

## ◆ type

ZydisInstructionSegment type

The type of the segment.

The documentation for this struct was generated from the following file:

- include/Zydis/Segment.h